Debian Bug report logs - #645530
pandoc: Missing dependency: libghc-citeproc-hs-data

version graph

Package: pandoc; Maintainer for pandoc is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for pandoc is src:pandoc.

Reported by: Martin Persson <oeoe@zitherlessons.net>

Date: Sun, 16 Oct 2011 17:15:01 UTC

Severity: important

Tags: confirmed

Found in versions pandoc/1.8.2.1-2, pandoc/1.9.1.1-1

Fixed in version pandoc/1.9.3-1

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, oeoe@zitherlessons.net, Jonas Smedegaard <dr@jones.dk>:
Bug#645530; Package pandoc. (Sun, 16 Oct 2011 17:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Persson <oeoe@zitherlessons.net>:
New Bug report received and forwarded. Copy sent to oeoe@zitherlessons.net, Jonas Smedegaard <dr@jones.dk>. (Sun, 16 Oct 2011 17:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Persson <oeoe@zitherlessons.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pandoc: Missing dependency: libghc-citeproc-hs-data
Date: Sun, 16 Oct 2011 19:13:04 +0200
Package: pandoc
Version: 1.8.2.1-2+b2
Severity: important

Dear Maintainer,

pandoc hangs in an infinite loop when trying to generate citations from a
bibliography file unless the package libghc-citeproc-hs-data is installed.



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages pandoc depends on:
ii  libc6     2.13-21
ii  libffi5   3.0.10-3
ii  libgmp10  2:5.0.2+dfsg-1
ii  libpcre3  8.12-4
ii  zlib1g    1:1.2.3.4.dfsg-3

pandoc recommends no packages.

Versions of packages pandoc suggests:
ii  texlive-latex-recommended  2009-14
ii  texlive-luatex             2009-14
ii  texlive-xetex              2009-14




Added tag(s) confirmed. Request was from Denis Laxalde <dlaxalde@gmail.com> to control@bugs.debian.org. (Mon, 12 Dec 2011 19:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#645530; Package pandoc. (Fri, 20 Apr 2012 19:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Fri, 20 Apr 2012 19:30:03 GMT) Full text and rfc822 format available.

Message #12 received at 645530@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Martin Persson <oeoe@zitherlessons.net>, Denis Laxalde <dlaxalde@gmail.com>
Cc: 645530@bugs.debian.org
Subject: Re: pandoc: Missing dependency: libghc-citeproc-hs-data
Date: Fri, 20 Apr 2012 21:27:33 +0200
[Message part 1 (text/plain, inline)]
Hi,

I’m looking at http://bugs.debian.org/645530 and I’m wondering if the
bug still exists in version 1.9.1.1, and if it does, if you can provide
a small example.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#645530; Package pandoc. (Fri, 20 Apr 2012 20:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Denis Laxalde <denis@laxalde.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Fri, 20 Apr 2012 20:09:03 GMT) Full text and rfc822 format available.

Message #17 received at 645530@bugs.debian.org (full text, mbox):

From: Denis Laxalde <denis@laxalde.org>
To: Joachim Breitner <nomeata@debian.org>, 645530@bugs.debian.org
Cc: Martin Persson <oeoe@zitherlessons.net>
Subject: Re: Bug#645530: pandoc: Missing dependency: libghc-citeproc-hs-data
Date: Fri, 20 Apr 2012 16:07:56 -0400
Hi,

Joachim Breitner wrote:
> I’m looking at http://bugs.debian.org/645530 and I’m wondering if the
> bug still exists in version 1.9.1.1, and if it does, if you can provide
> a small example.

Yes it still exists.

Consider the following bibtex file:
$ cat biblio.bib
@misc{ref,
    author = {Somebody},
    title = {Test reference},
    year = {2012}
}

and the following input

$ cat test.txt
[@ref] is very interesting!

The expected output of pandoc --bibliography=biblio.bib test.txt is:

<p><span class="citation">(Somebody 2012)</span> is very interesting!</p>
<p>Somebody. 2012. “Test reference.”</p>

Without libghc-citeproc-hs-data (same version as citeproc-hs pandoc
was build against) installed, the command never returns.

-- 
Denis




Marked as found in versions pandoc/1.9.1.1-1. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Fri, 20 Apr 2012 21:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#645530; Package pandoc. (Sat, 21 Apr 2012 16:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sat, 21 Apr 2012 16:42:03 GMT) Full text and rfc822 format available.

Message #24 received at 645530@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Jonas Smedegaard <dr@jones.dk>
Cc: 645530@bugs.debian.org
Subject: Re: Bug#645530: pandoc: Missing dependency: libghc-citeproc-hs-data
Date: Sat, 21 Apr 2012 18:39:34 +0200
[Message part 1 (text/plain, inline)]
Hi Jonas,

Am Freitag, den 20.04.2012, 16:07 -0400 schrieb Denis Laxalde:
> Hi,
> 
> Joachim Breitner wrote:
> > I’m looking at http://bugs.debian.org/645530 and I’m wondering if the
> > bug still exists in version 1.9.1.1, and if it does, if you can provide
> > a small example.
> 
> Yes it still exists.
> [..]
> 
> Without libghc-citeproc-hs-data (same version as citeproc-hs pandoc
> was build against) installed, the command never returns.

to fix this, there is some machinery in place; in particular
dh_haskell_depends should already have created a
${haskell:Extra-Depends} that you can use, it takes information from 
$ cat /usr/lib/haskell-packages/ghc/lib/citeproc-hs-0.3.4/extra-packages
libghc-citeproc-hs-data (>= 0.3.4)

Also, libghc-pandoc-dev should ship an extra-packages file, this is also
taken care of by haskell-devscripts (somehow at least, I did not look at
the details). Shout (on d-haskell) if you need help!

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#645530; Package pandoc. (Wed, 25 Apr 2012 16:09:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Mascellani <gio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Wed, 25 Apr 2012 16:09:29 GMT) Full text and rfc822 format available.

Message #29 received at 645530@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <gio@debian.org>
To: 645530@bugs.debian.org, Jonas Smedegaard <dr@jones.dk>
Subject: Re: [Pkg-haskell-maintainers] Bug#645530: pandoc: Missing dependency: libghc-citeproc-hs-data
Date: Wed, 25 Apr 2012 17:31:16 +0200
[Message part 1 (text/plain, inline)]
Hi.

Il 21/04/2012 18:39, Joachim Breitner ha scritto:
>> Without libghc-citeproc-hs-data (same version as citeproc-hs pandoc
>> was build against) installed, the command never returns.
> 
> to fix this, there is some machinery in place; in particular
> dh_haskell_depends should already have created a
> ${haskell:Extra-Depends} that you can use, it takes information from 
> $ cat /usr/lib/haskell-packages/ghc/lib/citeproc-hs-0.3.4/extra-packages
> libghc-citeproc-hs-data (>= 0.3.4)
> 
> Also, libghc-pandoc-dev should ship an extra-packages file, this is also
> taken care of by haskell-devscripts (somehow at least, I did not look at
> the details). Shout (on d-haskell) if you need help!

Yes, please do it: gitit would really benefit from it. It really amounts
to adding this line in debian/rules:

DEB_GHC_EXTRA_PACKAGES := pandoc (>= $(CABAL_VERSION))

This way, all packages that need pandoc data will automatically have it
in ${haskell:Extra-Depends}, without having to list it manually.

Thanks, Giovanni.
-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org



[signature.asc (application/pgp-signature, attachment)]

Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Mon, 21 May 2012 00:12:06 GMT) Full text and rfc822 format available.

Notification sent to Martin Persson <oeoe@zitherlessons.net>:
Bug acknowledged by developer. (Mon, 21 May 2012 00:12:06 GMT) Full text and rfc822 format available.

Message #34 received at 645530-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 645530-close@bugs.debian.org
Subject: Bug#645530: fixed in pandoc 1.9.3-1
Date: Mon, 21 May 2012 00:08:50 +0000
Source: pandoc
Source-Version: 1.9.3-1

We believe that the bug you reported is fixed in the latest version of
pandoc, which is due to be installed in the Debian FTP archive:

libghc-pandoc-dev_1.9.3-1_amd64.deb
  to main/p/pandoc/libghc-pandoc-dev_1.9.3-1_amd64.deb
libghc-pandoc-doc_1.9.3-1_all.deb
  to main/p/pandoc/libghc-pandoc-doc_1.9.3-1_all.deb
libghc-pandoc-prof_1.9.3-1_amd64.deb
  to main/p/pandoc/libghc-pandoc-prof_1.9.3-1_amd64.deb
pandoc_1.9.3-1.debian.tar.gz
  to main/p/pandoc/pandoc_1.9.3-1.debian.tar.gz
pandoc_1.9.3-1.dsc
  to main/p/pandoc/pandoc_1.9.3-1.dsc
pandoc_1.9.3-1_amd64.deb
  to main/p/pandoc/pandoc_1.9.3-1_amd64.deb
pandoc_1.9.3.orig.tar.gz
  to main/p/pandoc/pandoc_1.9.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645530@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated pandoc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 20 May 2012 21:34:54 +0200
Source: pandoc
Binary: pandoc libghc-pandoc-dev libghc-pandoc-doc libghc-pandoc-prof
Architecture: source all amd64
Version: 1.9.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 libghc-pandoc-dev - general markup converter
 libghc-pandoc-doc - general markup converter
 libghc-pandoc-prof - general markup converter
 pandoc     - general markup converter
Closes: 645530
Changes: 
 pandoc (1.9.3-1) unstable; urgency=low
 .
   * New upstream release.
 .
   * (Build-)depend on GHC -doc and -prof packages of blaze-builder
     hs-bibutils random and text: Indirectly needed (at least for -doc
     packages) but not pulled in.
   * Update package relations:
     + Fix have pandoc package recommend libghc-citeproc-hs-data.
       Closes: bug#645530.
     + Fix tighten dependencies needed since 1.8.0.1:
       - libghc-utf8-string-*
       - libghc-syb-*
     + Fix drop dependencies unused since 1.9.1.1:
       - libghc-xhtml-*
       - libghc-dlist-*
     + Fix drop dependencies apparently never used:
       - libghc-testpack-*
       - hscolour
     + Fix drop dependencies apparently used only for testsuite (which
       fails currently so is not enabled):
       - diff
       - test-framework-dev
       - test-framework-hunit-dev
       - test-framework-quickcheck2-dev
       - quickcheck-dev
       - hunit-dev
       - template-haskell-dev
       - ansi-terminal-dev
     + Fix exclude upper bound of libghc-zlib-* versioning (<< not <=).
     + Fix have libghc-* packages depend on ${haskell:Extra-Depends}, as
       suggested in bug#645530.
     + Tighten dependencies needed since 1.9.3:
       - libghc-mtl-*
     + Generally relax to drop lower bound of versionings: Satisfied in
       Wheezy and unavailable in Squeeze or Lenny (libghc-* naming was
       introduced post-Squeeze).
     + Build-depend only on libghc-*-prof packages explicitly declared in
       upstream cabal file (only include libghc-*-doc packages when
       Haddock complains).
     + Sort package relations.
   * Extend long description to mention newly added support for reading
     (not only writing) DocBook XML.
   * Add patch 1001 to support setting language in slidy output.
   * Update copyright file: Extend copyright years.
Checksums-Sha1: 
 d8e99383a137e9ab2da9cf26b83a57c62256e32b 3900 pandoc_1.9.3-1.dsc
 c8397b25386358f7c393bfa39ca621bd98580747 560502 pandoc_1.9.3.orig.tar.gz
 752140ef0f3044d5143606737af5af2b1288e183 36270 pandoc_1.9.3-1.debian.tar.gz
 604d25b22eafdac77f7d2fcfa0e1d210bdda2432 548112 libghc-pandoc-doc_1.9.3-1_all.deb
 11ba21a5f5bd8099e8c906cb8a41fd40a052f3f6 4706118 pandoc_1.9.3-1_amd64.deb
 cee005e5a7795eafc7966698640c99f6707699b9 4834794 libghc-pandoc-dev_1.9.3-1_amd64.deb
 3295f5c49461ef220f33ebe2d8b7f0d1b2d3329b 7119824 libghc-pandoc-prof_1.9.3-1_amd64.deb
Checksums-Sha256: 
 e68da46332270e75a212f3856b5ca6f9a5ae190b5775a4c3e1421eb160de9d82 3900 pandoc_1.9.3-1.dsc
 40929596f7a57de4cbd58e30beca2faaf237e4eee1db3f6265b94a1a52ff1f36 560502 pandoc_1.9.3.orig.tar.gz
 64e7caa1ed50d1422a09bb4a20232598f65b862a659383c2e9146939571a06dc 36270 pandoc_1.9.3-1.debian.tar.gz
 3aa354a781c6345df7a97f049a01acbfdf077e3bb02af0e1f77480284872ba6f 548112 libghc-pandoc-doc_1.9.3-1_all.deb
 9ab7dca0a08e95ac147e1346bea74033226d6c96128ce0c871c9a657f043db51 4706118 pandoc_1.9.3-1_amd64.deb
 8bdad34b873b048acd66ea81e25cb072f7daa4bd09230376a1f8cd3a41cb1f23 4834794 libghc-pandoc-dev_1.9.3-1_amd64.deb
 b798e29102a754e51e61d71c8ad71476a4dd0dd53d42b13f5df55e6ac00eab65 7119824 libghc-pandoc-prof_1.9.3-1_amd64.deb
Files: 
 792b630fc5b09c268a710e0350af3cb9 3900 text optional pandoc_1.9.3-1.dsc
 438dd6864fcbb07a252146cec536ee3e 560502 text optional pandoc_1.9.3.orig.tar.gz
 832a1add07aa32b9a715ed631a9816d8 36270 text optional pandoc_1.9.3-1.debian.tar.gz
 980350653d585f5c8dba6601ad6d5c3f 548112 doc extra libghc-pandoc-doc_1.9.3-1_all.deb
 b0424326b2d835225155f644dc7f9878 4706118 text optional pandoc_1.9.3-1_amd64.deb
 8cb78fd450c770d691c8077a320db3be 4834794 haskell extra libghc-pandoc-dev_1.9.3-1_amd64.deb
 b189bee6dfb73be0658e2211674f2c72 7119824 haskell extra libghc-pandoc-prof_1.9.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJPuX7GAAoJECx8MUbBoAEhxtUP/33OkWCjftZWMPV/V1OlJd6t
EnE/fznZNwhXJIE1dDDxiYBvmr5V72fwt2u+j3pGZa+kDZgRwT85JytHIi1Uf/La
yal/AjOh+sbJgV3Xf8EUzE99BpTak0Z4v4TFnk46nZ4jG0aWYXEx+/FrkeZCTf5Y
fRO15MXjSF517aOqqDTWN1ZnNUAISAgeq03z9fkeP+aSqP4Q2PwifpcWzi4VM7sW
BeP0ej3wADQMzHV1Xv70fry2eNDLUtVuGc/219l565S57eLz5qnTtrS9xxGpP6TC
/5EYyOMoh6/GypHq7iove5fq4gzBAGSJp3NsoiDA/ICKZsd9dbwdFAapLYeB7g+l
MKCNEmNLuaGz0+oHoOtj6BrCCxccZ89NJdeUrBI/+r9A9U/RAKAfYiiyYFshVa4x
bub/tXDsX9If4TX5H9BEc0yC+1rTJY6XstzoKDgyFSJXWlh9rSX5Q1YyKOjBp7WB
by0F+Ty8GhYL1X1SPxPw85pw0EeryUEVQ2vnOutqRNsLgn9fZfLTd10JTArhb+v4
PhpA3ccAayeAtnLYSJgA2PbWCe85RHkBA65gzxpbf0/jaP7jeo/Ed5Bpi7LnAJ2/
StCGMcr9RzmKsfI3qxyDk8309EeLCQqQuhVlKu6aPob4cSDMQlNUfVfhFdjKREfg
OlZa3Ciy3Amf6wsENQeh
=87qv
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Jul 2012 07:28:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:13:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.